Skip to content

Send invoice

POST
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}/send

Mark invoice as sent and record delivery events.

invoice_id
required
Invoice Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
InvoiceSendRequest

Request to send invoice to recipient(s).

object
recipients
Recipients
Array<string>
channel
InvoiceDeliveryChannel

Channel used for invoice delivery events.

string
default: email
Allowed values: email link whatsapp api
message
Any of:
string
Examples

Request payload example

{
"recipients": [
"string"
],
"channel": "email",
"message": "string"
}

Successful Response

InvoiceResponse

Invoice response schema.

object
irn
required
Irn
string
invoice_number
required
Invoice Number
string
invoice_number_policy_id
Any of:
string format: uuid
invoice_type_code
Invoice Type Code
string
default: 380 <= 10 characters
invoice_kind
Any of:
string
/^(b2b|b2c|b2g)$/
issue_date
required
Issue Date
string format: date
issue_time
Any of:
string
<= 20 characters
due_date
Any of:
string format: date
tax_point_date
Any of:
string format: date
document_currency_code
Document Currency Code
string
default: NGN <= 3 characters
tax_currency_code
Any of:
string
<= 3 characters
supplier_id
Any of:
string format: uuid
customer_id
Any of:
string format: uuid
note
Any of:
string
order_reference
Any of:
string
<= 200 characters
buyer_reference
Any of:
string
<= 200 characters
contract_reference
Any of:
string
<= 200 characters
accounting_cost
Any of:
string
<= 100 characters
invoice_period_start
Any of:
string format: date
invoice_period_end
Any of:
string format: date
actual_delivery_date
Any of:
string format: date
payment_terms_note
Any of:
string
<= 2000 characters
credit_reason_code
Any of:
string
<= 32 characters
credit_reason_text
Any of:
string
referenced_invoice_id
Any of:
string format: uuid
referenced_invoice_irn
Any of:
string
<= 200 characters
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string format: uuid
invoice_number_sequence
Any of:
integer
invoice_number_generated
Invoice Number Generated
boolean
default: true
status
required
InvoiceStatus

Invoice status lifecycle.

string
Allowed values: draft submitted validated dispatched delivered accepted rejected paid cancelled
payment_status
required
PaymentStatus

Payment status.

string
Allowed values: pending paid partially_paid cancelled refunded
direction
InvoiceDirection

Invoice direction - sent or received.

string
default: outbound
Allowed values: outbound inbound
collection_status
InvoiceCollectionStatus

Collections lifecycle status for accounts receivable workflow.

string
default: not_sent
Allowed values: not_sent sent viewed partially_paid paid overdue cancelled
supplier_name
Any of:
string
customer_name
Any of:
string
line_extension_amount
required
Line Extension Amount
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
tax_exclusive_amount
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
tax_inclusive_amount
Any of:
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
tax_amount_total
required
Tax Amount Total
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
payable_amount
required
Payable Amount
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
amount_due
Amount Due
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
amount_received_total
Amount Received Total
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
tax_collected_total
Tax Collected Total
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
net_amount_collected_total
Net Amount Collected Total
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
last_payment_recorded_at
Any of:
string format: date-time
validated_at
Any of:
string format: date-time
confirmed_at
Any of:
string format: date-time
rejected_at
Any of:
string format: date-time
rejection_reason
Any of:
string
firs_synced_at
Any of:
string format: date-time
irn_signed_data
Any of:
string
irn_signed_timestamp
Any of:
integer
qr_code_data
Any of:
string
qr_code_generated_at
Any of:
string format: date-time
fiscalization_status
Any of:
string
fiscalized_at
Any of:
string format: date-time
fiscalization_reference
Any of:
string
fiscalization_errors
Any of:
object
key
additional properties
any
sent_at
Any of:
string format: date-time
viewed_at
Any of:
string format: date-time
last_reminder_at
Any of:
string format: date-time
reminder_count
Reminder Count
integer
0
source_type
InvoiceSourceType

Source of the invoice record.

string
default: native
Allowed values: native external
source_system
Any of:
string
source_invoice_id
Any of:
string
external_invoice_number
Any of:
string
source_document_version
Any of:
string
imported_at
Any of:
string format: date-time
last_source_sync_at
Any of:
string format: date-time
Examples

200 response example

{
"irn": "string",
"invoice_number": "string",
"invoice_number_policy_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_type_code": "380",
"invoice_kind": "string",
"issue_date": "2026-02-11",
"issue_time": "string",
"created_at": "2026-02-11T10:00:00Z",
"updated_at": "2026-02-11T10:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "draft",
"payment_status": "pending",
"line_extension_amount": "100.00",
"tax_amount_total": "100.00",
"payable_amount": "100.00"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}